<?php

namespace App\Models\Orgs;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Institution extends Model 
{

    protected $table = 'institutions';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('lat', 'lng');

    public function getActionFacts()
    {
        return $this->hasMany('EventFacts');
    }

    public function getChallenges()
    {
        return $this->hasMany('Challenge');
    }

    public function addQuizes()
    {
        return $this->hasMany('Quiz');
    }

    public function getCategory()
    {
        return $this->belongsTo('InstCategory');
    }

    public function getResponsible()
    {
        return $this->belongsTo('User', 'responsible_id');
    }

    public function getActivities()
    {
        return $this->hasMany('Activity');
    }

    public function getUsers()
    {
        return $this->hasMany('User');
    }

}